group "Events.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 13 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 13 elements
Used: | at 7 locations

Content Model Diagram

Complex Content Model
(originatingEvent?, trade?) | amendment | increase | (terminatingEvent?, termination?) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent

Content Model Elements (13):

  additionalEvent, amendment, change, deClear, increase, novation, optionExercise, | optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), withdrawal

Known Usage Locations

- In definitions of other model groups (1):
  ReportableEvents.model
- In definitions of global complexTypes (6):
  EventProposedMatch, EventsChoice, NonpublicExecutionReport, NonpublicExecutionReportRetracted, PositionHistory, PositionUpdateReason

Annotation
Choice between a trade and a post-trade event.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="Events.model"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element minOccurs="0" name="trade" type="Trade"/> </xsd:sequence> <xsd:element name="amendment" type="TradeAmendmentContent"/> <xsd:element name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element name="novation" type="TradeNovationContent"/> <xsd:element name="change" type="TradeChangeContent"/> <xsd:element name="optionExercise" type="OptionExercise"/> <xsd:element maxOccurs="unbounded" name="optionExpiry" type="OptionExpiry"/> <xsd:element name="deClear" type="DeClear"/> <xsd:element name="withdrawal" type="Withdrawal"/> <xsd:element ref="additionalEvent"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 13/13)
additionalEvent

  Type: | AdditionalEvent, complex content
  Abstract: | (may not be used directly in instance XML documents)

  The additionalEvent element is an extension/substitution point to customize FpML and add additional events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element ref="additionalEvent"/>

amendment

  Type: | TradeAmendmentContent, complex content

  XML Source (see within schema source)

  <xsd:element name="amendment" type="TradeAmendmentContent"/>

change

  Type: | TradeChangeContent, complex content

  XML Source (see within schema source)

  <xsd:element name="change" type="TradeChangeContent"/>

deClear

  Type: | DeClear, complex content

  XML Source (see within schema source)

  <xsd:element name="deClear" type="DeClear"/>

increase

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element name="increase" type="TradeNotionalChange"/>

novation

  Type: | TradeNovationContent, complex content

  XML Source (see within schema source)

  <xsd:element name="novation" type="TradeNovationContent"/>

optionExercise

  Type: | OptionExercise, complex content

  XML Source (see within schema source)

  <xsd:element name="optionExercise" type="OptionExercise"/>

optionExpiry

  Type: | OptionExpiry, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="optionExpiry" type="OptionExpiry"/>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  This may be used to describe why a trade was terminated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/>

termination

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/>

trade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="trade" type="Trade"/>

withdrawal

  Type: | Withdrawal, complex content

  XML Source (see within schema source)

  <xsd:element name="withdrawal" type="Withdrawal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.